# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rialo-atomic-u64"
version = "0.4.2"
authors = ["Subzero Labs <build@subzero.xyz>"]
build = false
publish = ["crates-io"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rialo atomic u64 implementation. For internal use only."
documentation = "https://docs.rs/rialo-atomic-u64"
readme = false
license = "Apache-2.0"
resolver = "3"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[lib]
name = "rialo_atomic_u64"
path = "src/lib.rs"

[target.'cfg(not(target_pointer_width = "64"))'.dependencies.parking_lot]
version = "0.12.4"

[lints.clippy]
all = "warn"
debug_assert_with_mut_call = "warn"
empty_enums = "warn"
exit = "warn"
expl_impl_clone_on_copy = "warn"
fallible_impl_from = "warn"
filter_map_next = "warn"
float_cmp_const = "warn"
imprecise_flops = "warn"
invalid_upcast_comparisons = "warn"
large_digit_groups = "warn"
large_stack_arrays = "warn"
large_types_passed_by_value = "warn"
linkedlist = "warn"
lossy_float_literal = "warn"
macro_use_imports = "warn"
mutex_integer = "warn"
option_option = "warn"
path_buf_push_overwrite = "warn"
ptr_as_ptr = "warn"
rc_mutex = "warn"
ref_option_ref = "warn"
rest_pat_in_fully_bound_structs = "warn"
same_functions_in_if_condition = "warn"
string_add_assign = "warn"
trait_duplication_in_bounds = "warn"
zero_sized_map_values = "warn"

[lints.rust]
future_incompatible = "warn"
nonstandard_style = "warn"
rust_2018_idioms = "warn"
unsafe_code = "warn"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = [
    'cfg(target_feature, values("static-syscalls"))',
    'cfg(target_os, values("solana"))',
    'cfg(feature, values("frozen-abi", "no-entrypoint", "custom-panic", "custom-heap"))',
    "cfg(msim)",
    "cfg(fail_points)",
    "cfg(rialo_simtest_seed_sweep)",
]
